## numpy-stl 2.3.2

=== docs/requirements.txt ===
mock
python-utils

=== tests/requirements.txt ===
cov-core
coverage
docutils
execnet
numpy
cython
pep8
py
pyflakes
pytest
pytest-cache
pytest-cov
pytest-flakes
pytest-pep8
python-utils
Sphinx
flake8

=== debian/changelog ===
numpy-stl (2.3.2-1) unstable; urgency=medium

  * Initial release.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 08 Oct 2017 13:34:31 +0200

=== debian/control ===
Source: numpy-stl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
# Python development files
 python3-all-dev,
#Python setuptools
 python3-setuptools,
# Cython*
 cython3,
# Numpy*
 python3-numpy,
# PyTest
 python3-pytest, python3-pytest-runner,
Standards-Version: 4.1.1.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/WoLpH/numpy-stl
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/numpy-stl.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/numpy-stl.git

Package: numpy-stl
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-stl
Description: stl file and 3d object handling (tools)
 Numpy-STL is a library for working with STL files (and 3D objects in
 general) in the Python language.
 Due to all operations heavily relying on Numpy this is one of the fastest
 STL editing libraries for Python available.
 .
 This package contains tools to convert between the ascii and binary
 stl file format versions, using Numpy-STL.

Package: python3-stl
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-python-utils,
Provides: python3-numpy-stl
Breaks: python3-numpy-stl
Replaces: python3-numpy-stl
Description: stl file and 3d object handling for the Python language
 Numpy-STL is a library for working with STL files (and 3D objects in
 general) in the Python language.
 Due to all operations heavily relying on Numpy this is one of the fastest
 STL editing libraries for Python available.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.

export PYTEST_RUNNER=false

%:
	dh $@ --with python3 \
	      --buildsystem=pybuild \
	      --parallel

override_dh_auto_test:
	@echo "Tests harness not supported"

override_dh_install:
	dh_install
	dh_missing --fail-missing

clean:
	dh $@ --with python3 \
	      --buildsystem=pybuild \
	      --parallel
	
	rm -f stl/_speedups.c

## numpy-stl 2.9.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonUtils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonUtils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonUtils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonUtils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== tests/requirements.txt ===
--- 
+++ 
@@ -10,8 +10,7 @@
 pytest
 pytest-cache
 pytest-cov
-pytest-flakes
-pytest-pep8
+pytest-flake8
 python-utils
 Sphinx
 flake8

=== debian/changelog ===
numpy-stl (2.9.0-2build7) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:17:12 +0000

numpy-stl (2.9.0-2build6) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:41:59 +0000

numpy-stl (2.9.0-2build5) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:35 +0100

numpy-stl (2.9.0-2build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:42:22 +0000

numpy-stl (2.9.0-2build3) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:23:10 +0100

numpy-stl (2.9.0-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Mar 2023 05:44:52 +0000

numpy-stl (2.9.0-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 17:11:56 +0000

numpy-stl (2.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel, --parallel
  * Update watch file format version to 4.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 16:20:52 -0400

numpy-stl (2.9.0-1) unstable; urgency=medium

  [ Chris Lamb ]
  * [54adcc4] Remove trailing whitespaces.

  [ Bernd Zeimetz ]
  * [79a2342] Update upstream source from tag 'upstream/2.9.0'
    Update to upstream version '2.9.0'
    with Debian dir f7694bb5345854a86fe91eca983942ea5fbfc2b4
  * [19c7978] Updating changelog.
  * [8178317] Adding debian/.gitlab-ci.yml

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 17:07:22 +0100

numpy-stl (2.3.2-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Feb 2018 10:13:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: numpy-stl
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
+Build-Depends: debhelper-compat (= 10), dh-python,
 # Python development files
  python3-all-dev,
 #Python setuptools
@@ -15,11 +15,9 @@
 # PyTest
  python3-pytest, python3-pytest-runner,
 Standards-Version: 4.1.1.0
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 Homepage: https://github.com/WoLpH/numpy-stl
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/numpy-stl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/numpy-stl.git
+Vcs-Git: https://salsa.debian.org/python-team/packages/numpy-stl.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy-stl
 
 Package: numpy-stl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 %:
 	dh $@ --with python3 \
 	      --buildsystem=pybuild \
-	      --parallel
+
 
 override_dh_auto_test:
 	@echo "Tests harness not supported"
@@ -19,7 +19,6 @@
 clean:
 	dh $@ --with python3 \
 	      --buildsystem=pybuild \
-	      --parallel
+
 	
 	rm -f stl/_speedups.c
-

=== debian/watch ===
version=4
https://github.com/WoLpH/numpy-stl/releases /WoLpH/numpy-stl/archive/refs/tags/v([0-9.]+)\.tar\.gz
